using System;
using System.Configuration;

namespace ExtendedMemberShip
{
	public class MemberShipConfiguration : ConfigurationSection
	{
		[ConfigurationProperty("providers")]
		public ProviderSettingsCollection Providers
		{
			get
			{
				return (ProviderSettingsCollection)base["providers"];
			}
		}

		[ConfigurationProperty("defaultProvider", DefaultValue = "SqlMemberShipProvider")]
		[StringValidator(MinLength = 1)]
		public string DefaultProvider
		{
			get
			{
				return (string)base["defaultProvider"];
			}
			set
			{
				base["defaultProvider"] = value;
			}
		}

	}
}
