using System;
using System.Configuration.Provider;

namespace ExtendedMemberShip
{
	public class MemberShipProviderCollection : ProviderCollection
	{
		public override void Add(ProviderBase provider)
		{
			if (provider == null)
				throw new ArgumentNullException("The provider parameter cannot be null.");

			if (!(provider is MemberShipProvider))
				throw new ArgumentException("The provider parameter must be of type MemberShipProvider.");

			base.Add(provider);
		}

		new public MemberShipProvider this[string name]
		{
			get { return (MemberShipProvider)base[name]; }
		}

		public void CopyTo(MemberShipProvider[] array, int index)
		{
			base.CopyTo(array, index);
		}
	}
}
