using System;
using System.Collections.Generic;
using System.Text;

namespace ExtendedMemberShip
{
    /// <summary>
    /// This internal class contains all the custom fields we want
    /// to add to the default MembershipUser
    /// It is being used only between the Provider Conrete Implementation
    /// and the Extended MemberShip object
    /// </summary>
    internal class UserInfo
    {
        #region Private & Public Fields
        private object _UserId;

        internal object UserId
        {
            get { return _UserId; }
        }

        private string _FirstName;

        internal string FirstName
        {
            get { return _FirstName; }
        }

        private string _LastName;

        internal string LastName
        {
            get { return _LastName; }
        }

        private DateTime _DateOfBirth;

        internal DateTime DateOfBirth
        {
            get { return _DateOfBirth; }
            set { _DateOfBirth = value; }
        }
        #endregion

        #region Constructors
        /// <summary>
        /// Default constructor
        /// </summary>
        public UserInfo()
        {
        }

        /// <summary>
        /// Full constructor of UserInfo
        /// </summary>
        /// <param name="UserId"></param>
        /// <param name="FirstName"></param>
        /// <param name="LastName"></param>
        /// <param name="DateOfBirth"></param>
        public UserInfo(object UserId, string FirstName, string LastName, DateTime DateOfBirth)
        {
            this._UserId = UserId;
            this._FirstName = FirstName;
            this._LastName = LastName;
            this._DateOfBirth = DateOfBirth;
        }

        #endregion

    }
}
